This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 706937 - investigate switching to Gilead for cleansing Hibernate proxies prior to sending RPC method results to coregui
investigate switching to Gilead for cleansing Hibernate proxies prior to send...
Status: NEW
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.1
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
: FutureFeature, Improvement
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 10:25 EDT by Ian Springer
Modified: 2015-02-01 18:29 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ian Springer 2011-05-23 10:25:43 EDT
Gilead (http://noon.gilead.free.fr/gilead/) does the same thing as our HibernateDetachUtility. If it is robust, it makes sense to switch so it, so we don't have to maintain our own complex code to do Hibernate proxy cleansing.
Comment 1 Ian Springer 2011-05-23 15:27:10 EDT
some good links Charles found related to this:

1) http://code.google.com/webtoolkit/articles/using_gwt_with_hibernate.html - compares Gilead with a couple other options for using Hibernate entities in a GWT app
2) http://sourceforge.net/projects/gilead/forums/forum/868076/topic/4525959 - thread from May 2011 where Gilead author states he is no longer actively developing Gilead
Comment 2 Charles Crouch 2011-09-30 17:56:19 EDT
FutureFeature Improvement

Note You need to log in before you can comment on or make changes to this bug.